package com.lwby.aas.handle.impl;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.lwby.aas.handle.AttributionHandle;
import com.lwby.aas.handle.BaseHelper;
import com.lwby.aas.handle.Flow;
import com.lwby.aas.vo.Action;
import com.lwby.aas.vo.ClientInfo;
import com.lwby.aas.vo.DeliveryDeviceInfo;
import com.lwby.aas.vo.UserProfile;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Objects;

@Component
public class PrizeSevenUserHandle extends BaseHelper implements AttributionHandle {

    @Value("${platformPrizeExpire:{}}")
    private String platformPrizeExpire;

    @Override
    public int order() {
        return 4;
    }

    @Override
    public Flow handle(Action action) {
        if(isTimeGreaterThanSevenDays(action.getRegistrationDate())){
            //代码有问题
            JSONObject platformPrizeExpireJson = JSON.parseObject(platformPrizeExpire);
            Integer platformPrizeExpireStr = platformPrizeExpireJson.getInteger(String.valueOf(action.getPlatformId()));

            String prizeAssembleKey = "c:ouser:";
            if (Objects.nonNull(platformPrizeExpireStr)) {
                //商业化老用户大奖缓存
                set(prizeAssembleKey.concat(String.valueOf(action.getUserId())), platformPrizeExpireStr, 1);
            } else {
                //商业化老用户大奖缓存3天
                set(prizeAssembleKey.concat(String.valueOf(action.getUserId())), 60 * 60 * 24 * 3, 1);
            }
        }
        return Flow.NEXT;
    }
}
